diff --git a/test_plans/shutdown_api_test_plan.rst b/test_plans/shutdown_api_test_plan.rst
index ff1b17f6..56f3f58a 100644
--- a/test_plans/shutdown_api_test_plan.rst
+++ b/test_plans/shutdown_api_test_plan.rst
@@ -241,7 +241,7 @@ Test Case 12: Change thresholds
 4. Run ``port config all rxfreet 32`` to change the rx descriptors.
 5. Run ``port config all txpt 64`` to change the tx descriptors.
 6. Run ``port config all txht 64`` to change the tx descriptors.
-7. If NIC is IGC-I225_LM, Run ``port config all txwt 16`` to change the tx descriptors.
+7. If NIC is IGC driver, Run ``port config all txwt 16`` to change the tx descriptors.
    Else, Run ``port config all txwt 0`` to change the tx descriptors.
 8. Run ``port start all`` to restart all ports.
 9. Check with ``show config rxtx`` that the descriptors were actually changed.
diff --git a/tests/TestSuite_generic_flow_api.py b/tests/TestSuite_generic_flow_api.py
index 0e414bbf..309e7072 100644
--- a/tests/TestSuite_generic_flow_api.py
+++ b/tests/TestSuite_generic_flow_api.py
@@ -56,7 +56,7 @@ class TestGeneric_flow_api(TestCase):
             "IGB_1G-82576_QUAD_COPPER_ET2",
         ]:
             MAX_QUEUE = 7
-        elif self.nic in ["IGC-I225_LM"]:
+        elif self.nic in ["IGC-I225_LM", "IGC-I226_LM"]:
             MAX_QUEUE = 3
         # Based on h/w type, choose how many ports to use
         self.dut_ports = self.dut.get_ports(self.nic)
@@ -921,6 +921,7 @@ class TestGeneric_flow_api(TestCase):
                 "IXGBE_10G-X550T",
                 "IGB_1G-I350_COPPER",
                 "IGC-I225_LM",
+                "IGC-I226_LM",
             ],
             "%s nic not support SYN filter" % self.nic,
         )
@@ -965,7 +966,7 @@ class TestGeneric_flow_api(TestCase):
         self.dut.send_expect("flow destroy 0 rule 0", "testpmd> ", 120)
 
         # validate and create the flow rules
-        q_idx = "2" if self.nic == "IGC-I225_LM" else "4"
+        q_idx = "2" if self.nic in ["IGC-I225_LM", "IGC-I226_LM"] else "4"
         self.dut.send_expect(
             "flow validate 0 ingress pattern eth / ipv6 / tcp flags spec 0x02 flags mask 0x02 / end actions queue index %s / end"
             % (q_idx),
@@ -1007,6 +1008,7 @@ class TestGeneric_flow_api(TestCase):
                 "IGB_1G-82576_QUAD_COPPER_ET2",
                 "IGB_1G-82576_QUAD_COPPER",
                 "IGC-I225_LM",
+                "IGC-I226_LM",
             ],
             "%s nic not support n-tuple filter" % self.nic,
         )
@@ -1111,6 +1113,7 @@ class TestGeneric_flow_api(TestCase):
                 "IGB_1G-82580_COPPER",
                 "IGB_1G-I350_COPPER",
                 "IGC-I225_LM",
+                "IGC-I226_LM",
                 "I40E_10G-SFP_XL710",
                 "I40E_25G-25G_SFP28",
                 "I40E_40G-QSFP_A",
@@ -1227,6 +1230,7 @@ class TestGeneric_flow_api(TestCase):
                 "I40E_10G-SFP_X722",
                 "I40E_10G-10G_BASE_T_X722",
                 "IGC-I225_LM",
+                "IGC-I226_LM",
                 "ICE_25G-E810C_SFP",
                 "ICE_100G-E810C_QSFP",
             ],
@@ -1345,6 +1349,7 @@ class TestGeneric_flow_api(TestCase):
                 "I40E_10G-SFP_X722",
                 "I40E_10G-10G_BASE_T_X722",
                 "IGC-I225_LM",
+                "IGC-I226_LM",
                 "ICE_25G-E810C_SFP",
                 "ICE_100G-E810C_QSFP",
             ],
@@ -2049,6 +2054,7 @@ class TestGeneric_flow_api(TestCase):
                 "I40E_10G-SFP_X722",
                 "I40E_10G-10G_BASE_T_X722",
                 "IGC-I225_LM",
+                "IGC-I226_LM",
                 "ICE_25G-E810C_SFP",
                 "ICE_100G-E810C_QSFP",
             ],
@@ -2383,6 +2389,7 @@ class TestGeneric_flow_api(TestCase):
                 "I40E_10G-SFP_X722",
                 "I40E_10G-10G_BASE_T_X722",
                 "IGC-I225_LM",
+                "IGC-I226_LM",
             ],
             "%s nic not support fdir ipv4 filter" % self.nic,
         )
@@ -2397,6 +2404,7 @@ class TestGeneric_flow_api(TestCase):
             "I40E_10G-SFP_X722",
             "I40E_10G-10G_BASE_T_X722",
             "IGC-I225_LM",
+            "IGC-I226_LM",
             "I40E_10G-10G_BASE_T_BC",
         ]:
             self.setup_env()
@@ -2807,6 +2815,7 @@ class TestGeneric_flow_api(TestCase):
                 "I40E_10G-SFP_X722",
                 "I40E_10G-10G_BASE_T_X722",
                 "IGC-I225_LM",
+                "IGC-I226_LM",
             ],
             "%s nic not support fdir ipv6 filter" % self.nic,
         )
@@ -3447,6 +3456,7 @@ class TestGeneric_flow_api(TestCase):
                 "I40E_10G-SFP_X722",
                 "I40E_10G-10G_BASE_T_X722",
                 "IGC-I225_LM",
+                "IGC-I226_LM",
                 "ICE_25G-E810C_SFP",
                 "ICE_100G-E810C_QSFP",
             ],
@@ -3829,7 +3839,7 @@ class TestGeneric_flow_api(TestCase):
         The filter structure is different between igb, ixgbe and i40e
         """
         self.verify(
-            self.nic in ["IGB_1G-82580_COPPER", "IGB_1G-I350_COPPER", "IGC-I225_LM"],
+            self.nic in ["IGB_1G-82580_COPPER", "IGB_1G-I350_COPPER", "IGC-I225_LM", "IGC-I226_LM"],
             "%s nic not support flexbytes filter" % self.nic,
         )
 
@@ -4044,6 +4054,7 @@ class TestGeneric_flow_api(TestCase):
                 "IXGBE_10G-X550EM_X_10G_T",
                 "IXGBE_10G-X550T",
                 "IGC-I225_LM",
+                "IGC-I226_LM",
                 "I40E_10G-SFP_XL710",
                 "I40E_25G-25G_SFP28",
                 "I40E_40G-QSFP_A",
@@ -4118,6 +4129,7 @@ class TestGeneric_flow_api(TestCase):
                 "ICE_25G-E810C_SFP",
                 "ICE_100G-E810C_QSFP",
                 "IGC-I225_LM",
+                "IGC-I226_LM",
             ],
             "%s nic not support fdir vxlan filter" % self.nic,
         )
@@ -4164,7 +4176,7 @@ class TestGeneric_flow_api(TestCase):
         only supported by ixgbe
         """
         self.verify(
-            self.nic in ["IXGBE_10G-X550EM_X_10G_T", "IXGBE_10G-X550T", "IGC-I225_LM"],
+            self.nic in ["IXGBE_10G-X550EM_X_10G_T", "IXGBE_10G-X550T", "IGC-I225_LM", "IGC-I226_LM"],
             "%s nic not support fdir nvgre filter" % self.nic,
         )
 
@@ -4221,6 +4233,7 @@ class TestGeneric_flow_api(TestCase):
                 "I40E_10G-SFP_X722",
                 "I40E_10G-10G_BASE_T_X722",
                 "IGC-I225_LM",
+                "IGC-I226_LM",
                 "I40E_10G-10G_BASE_T_BC",
             ],
             "%s nic not support tunnel vxlan filter" % self.nic,
@@ -4392,6 +4405,7 @@ class TestGeneric_flow_api(TestCase):
                 "I40E_10G-SFP_X722",
                 "I40E_10G-10G_BASE_T_X722",
                 "IGC-I225_LM",
+                "IGC-I226_LM",
                 "I40E_10G-10G_BASE_T_BC",
             ],
             "%s nic not support tunnel nvgre filter" % self.nic,
@@ -4717,6 +4731,7 @@ class TestGeneric_flow_api(TestCase):
                 "IGB_1G-82576_QUAD_COPPER_ET2",
                 "IGB_1G-82576_QUAD_COPPER",
                 "IGC-I225_LM",
+                "IGC-I226_LM",
             ],
             "%s nic not support n-tuple filter" % self.nic,
         )
@@ -4851,10 +4866,11 @@ class TestGeneric_flow_api(TestCase):
                 "IXGBE_10G-X550T",
                 "IGB_1G-I350_COPPER",
                 "IGC-I225_LM",
+                "IGC-I226_LM",
             ],
             "%s nic not support" % self.nic,
         )
-        if self.nic in ["cavium_a063", "cavium_a064", "IGC-I225_LM"]:
+        if self.nic in ["cavium_a063", "cavium_a064", "IGC-I225_LM", "IGC-I226_LM"]:
             self.pmdout.start_testpmd(
                 "%s" % self.cores,
                 "--disable-rss --rxq=4 --txq=4 --portmask=%s --nb-cores=4 --nb-ports=1 --mbcache=200 --mbuf-size=2048 --max-pkt-len=9200"
diff --git a/tests/TestSuite_jumboframes.py b/tests/TestSuite_jumboframes.py
index 08963b72..fa2496a3 100644
--- a/tests/TestSuite_jumboframes.py
+++ b/tests/TestSuite_jumboframes.py
@@ -228,6 +228,7 @@ class TestJumboframes(TestCase):
             "IGB_1G-I210_COPPER",
             "IGB_1G-82576_QUAD_COPPER_ET2",
             "IGC-I225_LM",
+            "IGC-I226_LM",
         ]:
             self.jumboframes_send_packet(ETHER_JUMBO_FRAME_MTU + 4 + 1, False)
         else:
diff --git a/tests/TestSuite_mtu_update.py b/tests/TestSuite_mtu_update.py
index 137abf58..5cf4688f 100644
--- a/tests/TestSuite_mtu_update.py
+++ b/tests/TestSuite_mtu_update.py
@@ -224,7 +224,7 @@ class TestMtuUpdate(TestCase):
         On 1G NICs, when the jubmo frame MTU set > 1500, the software adjust it to MTU+4.
         """
         if (
-            self.nic in ["IGB_1G-I350_COPPER", "IGB_1G-I210_COPPER", "IGC-I225_LM"]
+            self.nic in ["IGB_1G-I350_COPPER", "IGB_1G-I210_COPPER", "IGC-I225_LM", "IGC-I226_LM"]
             and packet_size > 1500
         ):
             self.send_packet_of_size_to_tx_port(packet_size + 8 - 1, received=True)
diff --git a/tests/TestSuite_pmdrss_hash.py b/tests/TestSuite_pmdrss_hash.py
index befb9bce..da9d143a 100644
--- a/tests/TestSuite_pmdrss_hash.py
+++ b/tests/TestSuite_pmdrss_hash.py
@@ -487,6 +487,7 @@ class TestPmdrssHash(TestCase):
             "ICE_100G-E810C_QSFP",
             "IXGBE_10G-82599_SFP",
             "IGC-I225_LM",
+            "IGC-I226_LM",
         ]
     )
     def set_up_all(self):
diff --git a/tests/TestSuite_pmdrssreta.py b/tests/TestSuite_pmdrssreta.py
index c4bc1ee4..b3a7214b 100644
--- a/tests/TestSuite_pmdrssreta.py
+++ b/tests/TestSuite_pmdrssreta.py
@@ -150,7 +150,7 @@ class TestPmdrssreta(TestCase):
                 hash_index = int(tmp_reta_line["RSS hash"], 16) % 64
             elif self.nic in ["hi1822"]:
                 hash_index = int(tmp_reta_line["RSS hash"], 16) % 256
-            elif self.nic in ["IXGBE_10G-82599_SFP", "IGC-I225_LM", "IXGBE_10G-X540T"]:
+            elif self.nic in ["IXGBE_10G-82599_SFP", "IGC-I226_LM", "IGC-I225_LM", "IXGBE_10G-X540T"]:
                 # compute the hash result of five tuple into the 7 LSBs value.
                 hash_index = int(tmp_reta_line["RSS hash"], 16) % 128
             else:
@@ -212,7 +212,7 @@ class TestPmdrssreta(TestCase):
 
         self.dut.kill_all()
         global testQueues
-        if self.nic == "IGC-I225_LM":
+        if self.nic in ["IGC-I225_LM", "IGC-I226_LM"]:
             testQueues = [2]
         # test with different rss queues
         for queue in testQueues:
@@ -258,7 +258,7 @@ class TestPmdrssreta(TestCase):
                             "port config 0 rss reta (%d,%d)" % (i, reta_entries[i]),
                             "testpmd> ",
                         )
-                elif self.nic in ["IXGBE_10G-82599_SFP", "IGC-I225_LM"]:
+                elif self.nic in ["IXGBE_10G-82599_SFP", "IGC-I225_LM", "IGC-I226_LM"]:
                     for i in range(128):
                         reta_entries.insert(i, random.randint(0, queue - 1))
                         self.dut.send_expect(
@@ -296,6 +296,7 @@ class TestPmdrssreta(TestCase):
             "IXGBE_10G-X550EM_X_10G_T": 40,
             "IXGBE_10G-X550T": 40,
             "IGC-I225_LM": 40,
+            "IGC-I226_LM": 40,
             "IXGBE_10G-X540T": 40,
         }
         self.verify(
diff --git a/tests/TestSuite_qinq_filter.py b/tests/TestSuite_qinq_filter.py
index bf4d9a4d..6b5b756c 100644
--- a/tests/TestSuite_qinq_filter.py
+++ b/tests/TestSuite_qinq_filter.py
@@ -33,6 +33,7 @@ class TestQinqFilter(TestCase):
                 "I40E_40G-QSFP_B",
                 "I40E_25G-25G_SFP28",
                 "IGC-I225_LM",
+                "IGC-I226_LM",
                 "I40E_10G-10G_BASE_T_BC",
             ],
             "NIC %s not support this test" % self.nic,
diff --git a/tests/TestSuite_rss_to_rte_flow.py b/tests/TestSuite_rss_to_rte_flow.py
index 83055188..044f3755 100644
--- a/tests/TestSuite_rss_to_rte_flow.py
+++ b/tests/TestSuite_rss_to_rte_flow.py
@@ -1530,7 +1530,7 @@ class TestRSS_to_Rteflow(TestCase):
             ],
             "NIC Unsupported: " + str(self.nic),
         )
-        if self.nic in ["IGC-I225_LM", "IGB_1G-I210_COPPER"]:
+        if self.nic in ["IGC-I225_LM", "IGC-I226_LM", "IGB_1G-I210_COPPER"]:
             self.pmdout.start_testpmd(
                 "%s" % self.cores, "--rxq=4 --txq=4 --port-topology=chained"
             )
@@ -1544,7 +1544,7 @@ class TestRSS_to_Rteflow(TestCase):
         time.sleep(2)
 
         # Create a rss queue rule
-        if self.nic in ["IGC-I225_LM", "IGB_1G-I210_COPPER"]:
+        if self.nic in ["IGC-I225_LM", "IGC-I226_LM", "IGB_1G-I210_COPPER"]:
             self.dut.send_expect(
                 "flow create 0 ingress pattern end actions rss queues 1 2 end / end",
                 "created",
@@ -1567,7 +1567,7 @@ class TestRSS_to_Rteflow(TestCase):
             "ipv6-tcp",
             "ipv6-sctp",
         ]
-        if self.nic in ["IGC-I225_LM", "IGB_1G-I210_COPPER"]:
+        if self.nic in ["IGC-I225_LM", "IGC-I226_LM", "IGB_1G-I210_COPPER"]:
             self.send_check_100_packet_queue(ptype_list1, ["1", "2"], port_id=0)
         else:
             self.send_check_100_packet_queue(ptype_list1, ["1", "4", "7"], port_id=0)
@@ -1608,7 +1608,7 @@ class TestRSS_to_Rteflow(TestCase):
             "flow create 0 ingress pattern end actions rss queues 8 end / end", "error"
         )
         # Set all the queues to the rule
-        if self.nic in ["IGC-I225_LM", "IGB_1G-I210_COPPER"]:
+        if self.nic in ["IGC-I225_LM", "IGC-I226_LM", "IGB_1G-I210_COPPER"]:
             self.dut.send_expect(
                 "flow create 0 ingress pattern end actions rss queues 0 1 2 3 end / end",
                 "created",
@@ -1639,7 +1639,7 @@ class TestRSS_to_Rteflow(TestCase):
             ],
             "NIC Unsupported: " + str(self.nic),
         )
-        if self.nic in ["IGC-I225_LM", "IGB_1G-I210_COPPER"]:
+        if self.nic in ["IGC-I225_LM", "IGC-I226_LM", "IGB_1G-I210_COPPER"]:
             self.pmdout.start_testpmd(
                 "%s" % self.cores, "--rxq=4 --txq=4 --port-topology=chained"
             )
@@ -1653,7 +1653,7 @@ class TestRSS_to_Rteflow(TestCase):
         time.sleep(2)
 
         # Create a rss queue rule
-        if self.nic in ["IGC-I225_LM", "IGB_1G-I210_COPPER"]:
+        if self.nic in ["IGC-I225_LM", "IGC-I226_LM", "IGB_1G-I210_COPPER"]:
             self.dut.send_expect(
                 "flow create 0 ingress pattern end actions rss types udp ipv4-tcp ipv6-sctp ipv4-other end queues 1 2 3 end / end",
                 "created",
@@ -1680,7 +1680,7 @@ class TestRSS_to_Rteflow(TestCase):
         # send the packets and verify the results
         if self.nic in ["cavium_a063", "cavium_a064"]:
             self.send_check_100_packet_queue(ptype_list1, ["1", "4", "7"], port_id=0)
-        elif self.nic in ["IGC-I225_LM", "IGB_1G-I210_COPPER"]:
+        elif self.nic in ["IGC-I225_LM", "IGC-I226_LM", "IGB_1G-I210_COPPER"]:
             self.send_check_100_packet_queue(ptype_list1, ["1", "2", "3"], port_id=0)
             self.send_check_100_packet_queue(ptype_list2, "0", port_id=0)
         else:
@@ -1690,7 +1690,7 @@ class TestRSS_to_Rteflow(TestCase):
         # Create different ptype rss rule.
         self.dut.send_expect("flow flush 0", "testpmd> ")
 
-        if self.nic in ["IGC-I225_LM", "IGB_1G-I210_COPPER"]:
+        if self.nic in ["IGC-I225_LM", "IGC-I226_LM", "IGB_1G-I210_COPPER"]:
             self.dut.send_expect(
                 "flow create 0 ingress pattern end actions rss types ipv4 ipv6 end queues 1 3 end / end",
                 "created",
@@ -1713,7 +1713,7 @@ class TestRSS_to_Rteflow(TestCase):
             "ipv6-tcp",
             "ipv6-sctp",
         ]
-        if self.nic in ["IGC-I225_LM", "IGB_1G-I210_COPPER"]:
+        if self.nic in ["IGC-I225_LM", "IGC-I226_LM", "IGB_1G-I210_COPPER"]:
             self.send_check_100_packet_queue(ptype_list3, ["1", "3"], port_id=0)
         else:
             self.send_check_100_packet_queue(ptype_list3, ["3", "7"], port_id=0)
@@ -1737,7 +1737,7 @@ class TestRSS_to_Rteflow(TestCase):
             ],
             "NIC Unsupported: " + str(self.nic),
         )
-        if self.nic in ["IGC-I225_LM", "IGB_1G-I210_COPPER"]:
+        if self.nic in ["IGC-I225_LM", "IGC-I226_LM", "IGB_1G-I210_COPPER"]:
             self.pmdout.start_testpmd(
                 "%s" % self.cores,
                 "--rxq=4 --txq=4 --disable-rss --port-topology=chained",
@@ -1778,7 +1778,7 @@ class TestRSS_to_Rteflow(TestCase):
         self.send_check_100_packet_queue(ptype_list1, "0", port_id=0)
 
         # Create a rss queue rule
-        if self.nic in ["IGC-I225_LM", "IGB_1G-I210_COPPER"]:
+        if self.nic in ["IGC-I225_LM", "IGC-I226_LM", "IGB_1G-I210_COPPER"]:
             self.dut.send_expect(
                 "flow create 0 ingress pattern end actions rss types ipv6-tcp ipv4-udp end queues 1 2 3 end / end",
                 "created",
@@ -1802,7 +1802,7 @@ class TestRSS_to_Rteflow(TestCase):
             "ipv6-udp",
             "ipv6-sctp",
         ]
-        if self.nic in ["IGC-I225_LM", "IGB_1G-I210_COPPER"]:
+        if self.nic in ["IGC-I225_LM", "IGC-I226_LM", "IGB_1G-I210_COPPER"]:
             self.send_check_100_packet_queue(ptype_list2, ["1", "2", "3"], port_id=0)
         else:
             self.send_check_100_packet_queue(ptype_list2, ["5", "6", "7"], port_id=0)
@@ -1827,7 +1827,7 @@ class TestRSS_to_Rteflow(TestCase):
             ],
             "NIC Unsupported: " + str(self.nic),
         )
-        if self.nic in ["IGC-I225_LM", "IGB_1G-I210_COPPER"]:
+        if self.nic in ["IGC-I225_LM", "IGC-I226_LM", "IGB_1G-I210_COPPER"]:
             self.pmdout.start_testpmd(
                 "%s" % self.cores,
                 "--rxq=4 --txq=4 --disable-rss --port-topology=chained",
@@ -1842,7 +1842,7 @@ class TestRSS_to_Rteflow(TestCase):
         time.sleep(2)
 
         # Create a rss queue rule
-        if self.nic in ["IGC-I225_LM", "IGB_1G-I210_COPPER"]:
+        if self.nic in ["IGC-I225_LM", "IGC-I226_LM", "IGB_1G-I210_COPPER"]:
             self.dut.send_expect(
                 "flow create 0 ingress pattern end actions rss types ipv4-udp end queues 2 3 end / end",
                 "created",
@@ -1861,6 +1861,7 @@ class TestRSS_to_Rteflow(TestCase):
             "IGB_1G-I350_COPPER",
             "IGB_1G-I210_COPPER",
             "IGC-I225_LM",
+            "IGC-I226_LM",
         ]:
             self.dut.send_expect(
                 "flow create 0 ingress pattern eth / ipv4 proto is 17 / udp dst is 50 / end actions queue index 1 / end",
@@ -1875,7 +1876,7 @@ class TestRSS_to_Rteflow(TestCase):
             self.send_and_check(self.pkt2, ["1"], port_id=0)
         # Delete the fdir rule
         self.dut.send_expect("flow destroy 0 rule 1", "testpmd> ")
-        if self.nic in ["IGC-I225_LM", "IGB_1G-I210_COPPER"]:
+        if self.nic in ["IGC-I225_LM", "IGC-I226_LM", "IGB_1G-I210_COPPER"]:
             self.send_and_check(self.pkt2, ["2", "3"], port_id=0)
         else:
             self.send_and_check(self.pkt2, ["3", "4", "5"], port_id=0)
diff --git a/tests/TestSuite_rxtx_offload.py b/tests/TestSuite_rxtx_offload.py
index 3f56993e..a430997d 100644
--- a/tests/TestSuite_rxtx_offload.py
+++ b/tests/TestSuite_rxtx_offload.py
@@ -73,6 +73,7 @@ class TestRxTx_Offload(TestCase):
                 "IXGBE_10G-X550EM_X_10G_T",
                 "IXGBE_10G-X550T",
                 "IGC-I225_LM",
+                "IGC-I226_LM",
                 "cavium_a063",
                 "cavium_a064",
                 "ICE_25G-E810C_SFP",
@@ -493,7 +494,7 @@ class TestRxTx_Offload(TestCase):
         capabilities = self.check_port_capability("rx")
         for capability in capabilities:
             if (
-                self.nic in ["IGC-I225_LM", "cavium_a063", "cavium_a064"]
+                self.nic in ["IGC-I225_LM", "IGC-I226_LM", "cavium_a063", "cavium_a064"]
                 and capability == "sctp_cksum"
             ):
                 continue
@@ -523,6 +524,7 @@ class TestRxTx_Offload(TestCase):
                 "IXGBE_10G-X550EM_X_10G_T",
                 "IXGBE_10G-X550T",
                 "IGC-I225_LM",
+                "IGC-I226_LM",
             ],
             "%s nic not support rx offload setting by queue." % self.nic,
         )
diff --git a/tests/TestSuite_shutdown_api.py b/tests/TestSuite_shutdown_api.py
index 245c49da..1019b7ad 100644
--- a/tests/TestSuite_shutdown_api.py
+++ b/tests/TestSuite_shutdown_api.py
@@ -823,7 +823,7 @@ class TestShutdownApi(TestCase):
         Change RX/TX thresholds
         DPDK-24129:1.Intel® Ethernet 700/800 Series not support tx and rx
                    2.Ixgbe not support rx, only support tx.
-                   3.IGC-I225_LM, IGB_1G-I350_COPPER and IGB_1G-I210_COPPER not support txfree and txrs
+                   3.IGC-I225_LM, IGC-I226_LM, IGB_1G-I350_COPPER and IGB_1G-I210_COPPER not support txfree and txrs
         """
         self.pmdout.start_testpmd(
             "Default",
@@ -844,7 +844,7 @@ class TestShutdownApi(TestCase):
         self.dut.send_expect("port config all rxfreet 32", "testpmd> ")
         self.dut.send_expect("port config all txpt 64", "testpmd> ")
         self.dut.send_expect("port config all txht 64", "testpmd> ")
-        if self.nic in ["IGC-I225_LM"]:
+        if self.nic in ["IGC-I225_LM", "IGC-I226_LM"]:
             self.dut.send_expect("port config all txwt 16", "testpmd> ")
         else:
             self.dut.send_expect("port config all txwt 0", "testpmd> ")
@@ -869,7 +869,7 @@ class TestShutdownApi(TestCase):
             )
         self.verify("pthresh=64" in out, "TX descriptor not reconfigured properly")
         self.verify("hthresh=64" in out, "TX descriptor not reconfigured properly")
-        if self.nic in ["IGC-I225_LM"]:
+        if self.nic in ["IGC-I225_LM", "IGC-I226_LM",]:
             self.verify("wthresh=16" in out, "TX descriptor not reconfigured properly")
         else:
             self.verify("wthresh=0" in out, "TX descriptor not reconfigured properly")
@@ -947,7 +947,7 @@ class TestShutdownApi(TestCase):
         When tx_descriptor_status is used, status can be “FULL”, “DONE” or “UNAVAILABLE.”
         """
         queue_num = 16
-        if self.nic in ["IGB_1G-I210_COPPER", "IGC-I225_LM"]:
+        if self.nic in ["IGB_1G-I210_COPPER", "IGC-I225_LM", "IGC-I226_LM"]:
             queue_num = 4
         if self.nic in ["IGB_1G-I350_COPPER"]:
             queue_num = 8
diff --git a/tests/TestSuite_uni_pkt.py b/tests/TestSuite_uni_pkt.py
index 26cb7556..b7950830 100644
--- a/tests/TestSuite_uni_pkt.py
+++ b/tests/TestSuite_uni_pkt.py
@@ -125,6 +125,7 @@ class TestUniPacket(TestCase):
             or "IXGBE_10G-X550EM_X_10G_T" in self.nic
             or "IGB_1G-I210_COPPER" in self.nic
             or "IGC-I225_LM" in self.nic
+            or "IGC-I226_LM" in self.nic
         ):
             outerL4Type = ""
             ipv4_default_packet_type = ["L2_ETHER", "L3_IPV4"]
@@ -187,6 +188,7 @@ class TestUniPacket(TestCase):
             or "IXGBE_10G-X550EM_X_10G_T" in self.nic
             or "IGB_1G-I210_COPPER" in self.nic
             or "IGC-I225_LM" in self.nic
+            or "IGC-I226_LM" in self.nic
         ):
             outerL4Type = ""
             ipv6_default_packet_type = ["L2_ETHER", "L3_IPV6"]
@@ -287,6 +289,7 @@ class TestUniPacket(TestCase):
                 "I40E_40G-QSFP_B",
                 "I40E_10G-10G_BASE_T_BC",
                 "IGC-I225_LM",
+                "IGC-I226_LM",
             ],
             "not support %s" % self.nic,
         )
diff --git a/tests/TestSuite_userspace_ethtool.py b/tests/TestSuite_userspace_ethtool.py
index 7129301e..3a751cd9 100644
--- a/tests/TestSuite_userspace_ethtool.py
+++ b/tests/TestSuite_userspace_ethtool.py
@@ -570,7 +570,7 @@ class TestUserspaceEthtool(TestCase):
         mtus = [1519, 2048]
         mtu_threshold = 2022
         offset = 0
-        if self.nic in ["IGB_1G-I350_COPPER", "IGB_1G-I210_COPPER", "IGC-I225_LM"]:
+        if self.nic in ["IGB_1G-I350_COPPER", "IGB_1G-I210_COPPER", "IGC-I225_LM", "IGC-I226_LM"]:
             mtu_threshold = 2026
             offset = 4
         # RTE_ETHER_HDR_LEN + RTE_ETHER_CRC_LEN + ICE_VLAN_TAG_SIZE * 2
@@ -593,6 +593,7 @@ class TestUserspaceEthtool(TestCase):
                         "IGB_1G-I350_COPPER",
                         "IGB_1G-I210_COPPER",
                         "IGC-I225_LM",
+                        "IGC-I226_LM",
                     ]:
                         mtu = mtu_threshold
                     self.dut.send_expect("stop %s" % index, "EthApp>")
diff --git a/tests/TestSuite_vlan_ethertype_config.py b/tests/TestSuite_vlan_ethertype_config.py
index 5c43e3bb..409adf2a 100644
--- a/tests/TestSuite_vlan_ethertype_config.py
+++ b/tests/TestSuite_vlan_ethertype_config.py
@@ -181,7 +181,7 @@ class TestVlanEthertypeConfig(TestCase):
         self.dut.send_expect("vlan set strip off %s" % dutRxPortId, "testpmd> ", 20)
         rx_vlans = [1, random_vlan, MAX_VLAN]
         # caium_a063 card support only default '0x8100' tpid in rx mode
-        if self.nic in ["cavium_a063", "cavium_a064", "IGC-I225_LM"]:
+        if self.nic in ["cavium_a063", "cavium_a064", "IGC-I226_LM", "IGC-I225_LM"]:
             tpids = [0x8100]
         else:
             tpids = [0x8100, 0xA100]
@@ -214,7 +214,7 @@ class TestVlanEthertypeConfig(TestCase):
         self.dut.send_expect("start", "testpmd> ")
 
         # caium_a063 card support only default '0x8100' tpid in rx mode
-        if self.nic in ["cavium_a063", "cavium_a064", "IGC-I225_LM", "IGC-I225_LM"]:
+        if self.nic in ["cavium_a063", "cavium_a064", "IGC-I226_LM", "IGC-I225_LM"]:
             tpids = [0x8100]
         else:
             tpids = [0x8100, 0xA100]
@@ -247,7 +247,7 @@ class TestVlanEthertypeConfig(TestCase):
         self.dut.send_expect("start", "testpmd> ", 20)
 
         # caium_a063 card support only default '0x8100' tpid in rx mode
-        if self.nic in ["cavium_a063", "cavium_a064", "IGC-I225_LM"]:
+        if self.nic in ["cavium_a063", "cavium_a064", "IGC-I225_LM", "IGC-I226_LM"]:
             tpids = [0x8100]
         else:
             tpids = [0x8100, 0xA100]
@@ -277,7 +277,7 @@ class TestVlanEthertypeConfig(TestCase):
         self.dut.send_expect("start", "testpmd> ")
 
         # caium_a063 card support only default '0x8100' tpid in rx mode
-        if self.nic in ["cavium_a063", "cavium_a064", "IGC-I225_LM"]:
+        if self.nic in ["cavium_a063", "cavium_a064", "IGC-I225_LM", "IGC-I226_LM"]:
             tpids = [0x8100]
         else:
             tpids = [0x8100, 0xA100]