diff --git a/test_plans/ice_dcf_date_path_test_plan.rst b/test_plans/ice_dcf_data_path_test_plan.rst
similarity index 94%
rename from test_plans/ice_dcf_date_path_test_plan.rst
rename to test_plans/ice_dcf_data_path_test_plan.rst
index 1a0df884..e530c438 100644
--- a/test_plans/ice_dcf_date_path_test_plan.rst
+++ b/test_plans/ice_dcf_data_path_test_plan.rst
@@ -1,3 +1,15 @@
+.. SPDX-License-Identifier: BSD-3-Clause
+   Copyright(c) 2019 Intel Corporation
+
+
+=======================
+ICE DCF Data Path Tests
+=======================
+
+Description
+===========
+
+This document provides the plan for testing DCF data path function of Intel® Ethernet 800 Series.
 
 Common steps for launching DCF
 ==============================
@@ -17,7 +29,7 @@ Set a VF as trust ::
 Launch dpdk on the VF, request DCF mode ::
 
     ./usertools/dpdk-devbind.py -b vfio-pci 18:01.0
-    ./x86_64-native-linuxapp-gcc/app/dpdk-testpmd -l 6-10 -n 4 -a 18:01.0,cap=dcf --file-prefix=vf -- -i
+    ./x86_64-native-linuxapp-gcc/app/dpdk-testpmd -l 6-10 -n 4 -a 18:01.0,cap=dcf --file-prefix=vf -- -i --rxq=4 --txq=4 --txd=384 --rxd=384
 
 
 Test Case: Launch DCF and do macfwd
@@ -65,6 +77,7 @@ Send a series packets to check if DCF RSS is correct for IPv4 ::
     sendp(Ether(dst="D2:6B:4C:EB:1C:26", src="00:11:22:33:44:55")/IP(src="192.168.1.1", dst="192.168.1.2")/Raw('x'*64), iface=intf)
 
 Expected: p1 hash value is not equal to p2 or p3, and should be same to p4.
+check the packets are distributed to queues by rss.
 
 Send a series packets to check if DCF RSS is correct for IPv6 ::
 
@@ -74,6 +87,7 @@ Send a series packets to check if DCF RSS is correct for IPv6 ::
     sendp(Ether(dst="D2:6B:4C:EB:1C:26", src="00:11:22:33:44:55")/IPv6(src="::22", dst="::11")/Raw('x'*64), iface=intf)
 
 Expected: p1 hash value is not equal to p2 or p3, and should be same to p4.
+check the packets are distributed to queues by rss.
 
 Send a series packets to check if DCF RSS is correct for tunnelling packet (inner IPv4) ::
 
@@ -85,7 +99,7 @@ Send a series packets to check if DCF RSS is correct for tunnelling packet (inne
 
 
 Expected: p1 hash value is not equal to p2 or p3. p1 hash value is equal to p4 and p5.
-
+check the packets are distributed to queues by rss.
 
 Send a series packets to check if DCF RSS is correct for tunnelling packet (inner IPv6) ::
 
@@ -96,6 +110,7 @@ Send a series packets to check if DCF RSS is correct for tunnelling packet (inne
     sendp(Ether(dst="D2:6B:4C:EB:1C:26", src="11:22:33:44:55:77")/IPv6(src="::33", dst="::44")/GRE()/IPv6(src="::22", dst="::11")/Raw('x'*64), iface=intf)
 
 Expected: p1 hash value is not equal to p2 or p3. p1 hash value is equal to p4 and p5.
+p1/p2/p3 should be devided into different queues.
 
 
 Test Case: Check default rss for L4
@@ -122,6 +137,7 @@ Send a series packets to check if DCF RSS is correct for IPv4 ::
     sendp(Ether(dst="D2:6B:4C:EB:1C:26", src="00:22:33:44:55:77")/IP(src="192.168.1.1", dst="192.168.1.2")/TCP(sport=1234, dport=5678)/Raw('x'*64), iface=intf)
 
 Expected: p1 hash value is not equal to p2 or p3 or p4 or p5, and should be equal to p6.
+check the packets are distributed to queues by rss.
 
 Send a series packets to check if DCF RSS is correct for IPv6 ::
 
@@ -133,6 +149,7 @@ Send a series packets to check if DCF RSS is correct for IPv6 ::
     sendp(Ether(dst="D2:6B:4C:EB:1C:26", src="11:22:33:44:55:77")/IPv6(src="::22", dst="::11")/TCP(sport=1234, dport=5678)/Raw('x'*64), iface=intf)
 
 Expected: p1 hash value is not equal to p2 or p3 or p4 or p5, and should be equal to p6.
+check the packets are distributed to queues by rss.
 
 Send a series packets to check if DCF RSS is correct for tunnelling packet (inner IPv4) ::
 
@@ -145,7 +162,7 @@ Send a series packets to check if DCF RSS is correct for tunnelling packet (inne
     sendp(Ether(dst="D2:6B:4C:EB:1C:26", src="00:22:33:44:55:77")/IPv6(src="::11", dst="::22")/GRE()/IP(src="192.168.1.1", dst="192.168.1.2")/TCP(sport=1234, dport=5678)/Raw('x'*64), iface=intf)
 
 Expected: p1 hash value is not equal to p2 or p3 or p4 or p5, and should be equal to p6 and p7.
-
+check the packets are distributed to queues by rss.
 
 Send a series packets to check if DCF RSS is correct for tunnelling packet (inner IPv6) ::
 
@@ -158,6 +175,7 @@ Send a series packets to check if DCF RSS is correct for tunnelling packet (inne
     sendp(Ether(dst="D2:6B:4C:EB:1C:26", src="00:22:33:44:55:77")/IPv6(src="::33", dst="::44")/GRE()/IPv6(src="::22", dst="::11")/UDP(sport=1234, dport=5678)/Raw('x'*64), iface=intf)
 
 Expected: p1 hash value is not equal to p2 or p3 or p4 or p5, and should be equal to p6 and p7.
+check the packets are distributed to queues by rss.
 
 
 Test Case: Create rule with to original VF action
diff --git a/tests/TestSuite_ice_dcf_date_path.py b/tests/TestSuite_ice_dcf_data_path.py
similarity index 99%
rename from tests/TestSuite_ice_dcf_date_path.py
rename to tests/TestSuite_ice_dcf_data_path.py
index 3181aad7..83d17a33 100644
--- a/tests/TestSuite_ice_dcf_date_path.py
+++ b/tests/TestSuite_ice_dcf_data_path.py
@@ -10,7 +10,7 @@ from framework.pmd_output import PmdOutput
 from framework.test_case import TestCase
 
 
-class DcfDatePathTest(TestCase):
+class DcfDataPathTest(TestCase):
     vf_mac = "D2:6B:4C:EB:1C:26"
     wrong_mac = "68:05:CA:8D:ED:A8"
 
@@ -37,7 +37,7 @@ class DcfDatePathTest(TestCase):
     def set_up(self):
         self.pmd_output.start_testpmd(
             cores="1S/4C/1T",
-            param="--txq=2 --rxq=2 --txd=384 --rxd=384",
+            param="--txq=4 --rxq=4 --txd=384 --rxd=384",
             prefix="vf",
             ports=[self.used_vf_pci],
             port_options={self.used_vf_pci: "cap=dcf"},